import request from '@/utils/request'

// 创建搜索词纠错
export function createErrorwold(data) {
  return request({
    url: '/manager/errorwold/create',
    method: 'post',
    data: data
  })
}

// 更新搜索词纠错
export function updateErrorwold(data) {
  return request({
    url: '/manager/errorwold/update',
    method: 'put',
    data: data
  })
}

// 删除搜索词纠错
export function deleteErrorwold(id) {
  return request({
    url: '/manager/errorwold/delete?id=' + id,
    method: 'delete'
  })
}

// 获得搜索词纠错
export function getErrorwold(id) {
  return request({
    url: '/manager/errorwold/get?id=' + id,
    method: 'get'
  })
}

// 获得搜索词纠错分页
export function getErrorwoldPage(params) {
  return request({
    url: '/manager/errorwold/page',
    method: 'get',
    params
  })
}
// 导出搜索词纠错 Excel
export function exportErrorwoldExcel(params) {
  return request({
    url: '/manager/errorwold/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
